import { JSXElement, splitProps } from "solid-js";

import { PublicComment } from "../Util/api";

interface CommentProps {
  comment: PublicComment;
}

export function Comment(props: CommentProps): JSXElement {
  const [local] = splitProps(props, ["comment"]);
  return (
    <>
      <div class="py-5">
        <time class="text-xs opacity-50">{local.comment.created_at}</time>
      </div>
      <div class="">{local.comment.content}</div>
      <div class="divider" />
    </>
  );
}
